%define		_sysconfdir	/etc
%define		_libexecdir	%{_bindir}
%define		_localstatedir	/var

Summary:	GNU Binary Utility Development Utilities
Name:		binutils
Version: 	2.18
Release:	2
License:	GPL
Group:		Libraries
URL:		http://www.gnu.org/software/binutils/
Source0: 	http://ftp.gnu.org/gnu/binutils/%{name}-%{version}.tar.bz2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Binutils is a collection of binary utilities, including:
- ar - create, modify and extract from archives,
- nm - lists symbols from object files,
- objcopy - copy and translate object files,
- objdump - display information from object files,
- ranlib - generate an index for the contents of an archive,
- size - list the section sizes of an object or archive file,
- strings - list printable strings from files,
- strip - discard symbols,
- c++filt - a filter for demangling encoded C++ symbols,
- addr2line - convert addresses to file and line,
- nlmconv - convert object code into an NLM.

%package 	devel
Summary:	GNU Binutils static libraries
Group:		Development

%description 	devel
Static libraries for GNU Binutils.

%prep
%setup -q 

%build
%configure \
    --enable-shared \
    --disable-debug \
    --disable-nls \
    --without-included-gettext \
    --without-gettext
make tooldir=%{_prefix} all info

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_prefix}

%{__make} install \
	prefix=$RPM_BUILD_ROOT%{_prefix} \
	bindir=$RPM_BUILD_ROOT%{_bindir} \
	tooldir=$RPM_BUILD_ROOT%{_prefix} \
	mandir=$RPM_BUILD_ROOT%{_mandir} \
	infodir=$RPM_BUILD_ROOT%{_infodir} \
	includedir=$RPM_BUILD_ROOT%{_includedir} \
	libdir=$RPM_BUILD_ROOT%{_libdir}

rm -f $RPM_BUILD_ROOT%{_bindir}/c++filt

install include/libiberty.h $RPM_BUILD_ROOT%{_includedir}

mkdir -p $RPM_BUILD_ROOT/usr/i386-pc-linux/bin
cd $RPM_BUILD_ROOT/usr/i386-pc-linux/bin
ln -sf ../../bin/ar ar
ln -sf ../../bin/as as
ln -sf ../../bin/ld ld
ln -sf ../../bin/ranlib ranlib
ln -sf ../../bin/strip strip

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/*.la
%{_bindir}/strings
%{_mandir}

%files devel
%defattr(-,root,root)
%{_libdir}/*.a
%{_libdir}/ldscripts
%{_bindir}
%{_includedir}
/usr/i386-pc-linux
